{
  "name": "basic-pc",
  "version": "1.0.0",
  "description": "A vue admin template with Element UI & axios & iconfont & permission control & lint",
  "author": "ebiz-digits",
  "scripts": {
    "serve": "NODE_OPTIONS=--openssl-legacy-provider && vue-cli-service serve",
    "build": "vue-cli-service build",
    "build:dev": "vue-cli-service build --mode dev",
    "dev": "vue-cli-service serve --mode dev",
    "preview": "node build/index.js --preview",
    "lint": "eslint --ext .js,.vue src",
    "lint:fix": "eslint --fix --ext .js,.vue src",
    "format": "prettier --config ./.prettierrc --write \"src/**/*.js\" \"src/**/*.vue\"",
    "test:unit": "jest --clearCache && vue-cli-service test:unit",
    "test:ci": "npm run lint && npm run test:unit",
    "svgo": "svgo -f src/icons/svg --config=src/icons/svgo.yml"
  },
  "dependencies": {
    "alova": "^3.2.10",
    "axios": "0.18.1",
    "crypto-js": "^4.0.0",
    "crypto.js": "^2.0.2",
    "element-ui": "2.15.4",
    "exif-js": "^2.3.0",
    "file-saver": "^2.0.5",
    "js-cookie": "2.2.0",
    "markdown-it": "^14.1.0",
    "markdown-it-katex": "^2.0.3",
    "mavon-editor": "^2.9.1",
    "node-gyp": "^8.0.0",
    "normalize.css": "7.0.0",
    "nprogress": "0.2.0",
    "path-to-regexp": "2.4.0",
    "sortablejs": "^1.14.0",
    "swiper": "^5.4.5",
    "vue": "2.6.10",
    "vue-router": "3.0.6",
    "vue2-editor": "^2.10.2",
    "vuex": "3.1.0",
    "xlsx": "^0.16.9"
  },
  "devDependencies": {
    "@babel/core": "7.0.0",
    "@babel/register": "7.0.0",
    "@vue/cli-plugin-babel": "3.6.0",
    "@vue/cli-plugin-eslint": "^3.9.1",
    "@vue/cli-plugin-unit-jest": "3.6.3",
    "@vue/cli-service": "3.6.0",
    "@vue/eslint-config-prettier": "^4.0.1",
    "@vue/test-utils": "1.0.0-beta.29",
    "autoprefixer": "^9.5.1",
    "babel-core": "7.0.0-bridge.0",
    "babel-eslint": "10.0.1",
    "babel-jest": "23.6.0",
    "chalk": "2.4.2",
    "connect": "3.6.6",
    "eslint": "5.15.3",
    "eslint-plugin-vue": "5.2.2",
    "html-webpack-plugin": "3.2.0",
    "mockjs": "1.0.1-beta3",
    "node-sass": "^4.9.0",
    "runjs": "^4.3.2",
    "sass-loader": "^7.1.0",
    "script-ext-html-webpack-plugin": "2.1.3",
    "script-loader": "^0.7.2",
    "serve-static": "^1.13.2",
    "svg-sprite-loader": "4.1.3",
    "svgo": "1.2.2",
    "vue-template-compiler": "2.6.10"
  },
  "engines": {
    "node": ">=8.9",
    "npm": ">= 3.0.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions"
  ]
}
